AlertCondition (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.AlertCondition class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.types
Class AlertCondition

    java.lang.Object
      org.hyperic.hq.types.AlertCondition

    public class AlertCondition

extends java.lang.Object

Java class for AlertCondition complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AlertCondition">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="property" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="logLevel" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="logMatches" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="recover" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="metricChange" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="baselineMetric" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="baselineComparator" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="baselinePercentage" type="{http://www.w3.org/2001/XMLSchema}double" />
           <attribute name="baselineType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="thresholdMetric" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="thresholdComparator" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="thresholdValue" type="{http://www.w3.org/2001/XMLSchema}double" />
           <attribute name="configMatch" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="controlAction" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="controlStatus" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="required" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `baselineComparator`
`protected java.lang.String` | `baselineMetric`
`protected java.lang.Double` | `baselinePercentage`
`protected java.lang.String` | `baselineType`
`protected java.lang.String` | `configMatch`
`protected java.lang.String` | `controlAction`
`protected java.lang.String` | `controlStatus`
`protected java.lang.String` | `logLevel`
`protected java.lang.String` | `logMatches`
`protected java.lang.String` | `metricChange`
`protected java.lang.String` | `property`
`protected java.lang.String` | `recover`
`protected boolean` | `required`
`protected java.lang.String` | `thresholdComparator`
`protected java.lang.String` | `thresholdMetric`
`protected java.lang.Double` | `thresholdValue`
`protected int` | `type`

Constructor Summary
`AlertCondition()`

Method Summary
`java.lang.String` | `getBaselineComparator()` Gets the value of the baselineComparator property.
`java.lang.String` | `getBaselineMetric()` Gets the value of the baselineMetric property.
`java.lang.Double` | `getBaselinePercentage()` Gets the value of the baselinePercentage property.
`java.lang.String` | `getBaselineType()` Gets the value of the baselineType property.
`java.lang.String` | `getConfigMatch()` Gets the value of the configMatch property.
`java.lang.String` | `getControlAction()` Gets the value of the controlAction property.
`java.lang.String` | `getControlStatus()` Gets the value of the controlStatus property.
`java.lang.String` | `getLogLevel()` Gets the value of the logLevel property.
`java.lang.String` | `getLogMatches()` Gets the value of the logMatches property.
`java.lang.String` | `getMetricChange()` Gets the value of the metricChange property.
`java.lang.String` | `getProperty()` Gets the value of the property property.
`java.lang.String` | `getRecover()` Gets the value of the recover property.
`java.lang.String` | `getThresholdComparator()` Gets the value of the thresholdComparator property.
`java.lang.String` | `getThresholdMetric()` Gets the value of the thresholdMetric property.
`java.lang.Double` | `getThresholdValue()` Gets the value of the thresholdValue property.
`int` | `getType()` Gets the value of the type property.
`boolean` | `isRequired()` Gets the value of the required property.
`void` | `setBaselineComparator(java.lang.String value)` Sets the value of the baselineComparator property.
`void` | `setBaselineMetric(java.lang.String value)` Sets the value of the baselineMetric property.
`void` | `setBaselinePercentage(java.lang.Double value)` Sets the value of the baselinePercentage property.
`void` | `setBaselineType(java.lang.String value)` Sets the value of the baselineType property.
`void` | `setConfigMatch(java.lang.String value)` Sets the value of the configMatch property.
`void` | `setControlAction(java.lang.String value)` Sets the value of the controlAction property.
`void` | `setControlStatus(java.lang.String value)` Sets the value of the controlStatus property.
`void` | `setLogLevel(java.lang.String value)` Sets the value of the logLevel property.
`void` | `setLogMatches(java.lang.String value)` Sets the value of the logMatches property.
`void` | `setMetricChange(java.lang.String value)` Sets the value of the metricChange property.
`void` | `setProperty(java.lang.String value)` Sets the value of the property property.
`void` | `setRecover(java.lang.String value)` Sets the value of the recover property.
`void` | `setRequired(boolean value)` Sets the value of the required property.
`void` | `setThresholdComparator(java.lang.String value)` Sets the value of the thresholdComparator property.
`void` | `setThresholdMetric(java.lang.String value)` Sets the value of the thresholdMetric property.
`void` | `setThresholdValue(java.lang.Double value)` Sets the value of the thresholdValue property.
`void` | `setType(int value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected java.lang.String property

### logLevel

    protected java.lang.String logLevel

### logMatches

    protected java.lang.String logMatches

### recover

    protected java.lang.String recover

### metricChange

    protected java.lang.String metricChange

### baselineMetric

    protected java.lang.String baselineMetric

### baselineComparator

    protected java.lang.String baselineComparator

### baselinePercentage

    protected java.lang.Double baselinePercentage

### baselineType

    protected java.lang.String baselineType

### thresholdMetric

    protected java.lang.String thresholdMetric

### thresholdComparator

    protected java.lang.String thresholdComparator

### thresholdValue

    protected java.lang.Double thresholdValue

### configMatch

    protected java.lang.String configMatch

### controlAction

    protected java.lang.String controlAction

### controlStatus

    protected java.lang.String controlStatus

### type

    protected int type

### required

    protected boolean required

Constructor Detail

### AlertCondition

    public AlertCondition()

Method Detail

### getProperty

    public java.lang.String getProperty()

  Gets the value of the property property.

  Returns:
    possible object is `String`

### setProperty

    public void setProperty(java.lang.String value)

  Sets the value of the property property.

  Parameters:
    `value` - allowed object is `String`

### getLogLevel

    public java.lang.String getLogLevel()

  Gets the value of the logLevel property.

  Returns:
    possible object is `String`

### setLogLevel

    public void setLogLevel(java.lang.String value)

  Sets the value of the logLevel property.

  Parameters:
    `value` - allowed object is `String`

### getLogMatches

    public java.lang.String getLogMatches()

  Gets the value of the logMatches property.

  Returns:
    possible object is `String`

### setLogMatches

    public void setLogMatches(java.lang.String value)

  Sets the value of the logMatches property.

  Parameters:
    `value` - allowed object is `String`

### getRecover

    public java.lang.String getRecover()

  Gets the value of the recover property.

  Returns:
    possible object is `String`

### setRecover

    public void setRecover(java.lang.String value)

  Sets the value of the recover property.

  Parameters:
    `value` - allowed object is `String`

### getMetricChange

    public java.lang.String getMetricChange()

  Gets the value of the metricChange property.

  Returns:
    possible object is `String`

### setMetricChange

    public void setMetricChange(java.lang.String value)

  Sets the value of the metricChange property.

  Parameters:
    `value` - allowed object is `String`

### getBaselineMetric

    public java.lang.String getBaselineMetric()

  Gets the value of the baselineMetric property.

  Returns:
    possible object is `String`

### setBaselineMetric

    public void setBaselineMetric(java.lang.String value)

  Sets the value of the baselineMetric property.

  Parameters:
    `value` - allowed object is `String`

### getBaselineComparator

    public java.lang.String getBaselineComparator()

  Gets the value of the baselineComparator property.

  Returns:
    possible object is `String`

### setBaselineComparator

    public void setBaselineComparator(java.lang.String value)

  Sets the value of the baselineComparator property.

  Parameters:
    `value` - allowed object is `String`

### getBaselinePercentage

    public java.lang.Double getBaselinePercentage()

  Gets the value of the baselinePercentage property.

  Returns:
    possible object is `Double`

### setBaselinePercentage

    public void setBaselinePercentage(java.lang.Double value)

  Sets the value of the baselinePercentage property.

  Parameters:
    `value` - allowed object is `Double`

### getBaselineType

    public java.lang.String getBaselineType()

  Gets the value of the baselineType property.

  Returns:
    possible object is `String`

### setBaselineType

    public void setBaselineType(java.lang.String value)

  Sets the value of the baselineType property.

  Parameters:
    `value` - allowed object is `String`

### getThresholdMetric

    public java.lang.String getThresholdMetric()

  Gets the value of the thresholdMetric property.

  Returns:
    possible object is `String`

### setThresholdMetric

    public void setThresholdMetric(java.lang.String value)

  Sets the value of the thresholdMetric property.

  Parameters:
    `value` - allowed object is `String`

### getThresholdComparator

    public java.lang.String getThresholdComparator()

  Gets the value of the thresholdComparator property.

  Returns:
    possible object is `String`

### setThresholdComparator

    public void setThresholdComparator(java.lang.String value)

  Sets the value of the thresholdComparator property.

  Parameters:
    `value` - allowed object is `String`

### getThresholdValue

    public java.lang.Double getThresholdValue()

  Gets the value of the thresholdValue property.

  Returns:
    possible object is `Double`

### setThresholdValue

    public void setThresholdValue(java.lang.Double value)

  Sets the value of the thresholdValue property.

  Parameters:
    `value` - allowed object is `Double`

### getConfigMatch

    public java.lang.String getConfigMatch()

  Gets the value of the configMatch property.

  Returns:
    possible object is `String`

### setConfigMatch

    public void setConfigMatch(java.lang.String value)

  Sets the value of the configMatch property.

  Parameters:
    `value` - allowed object is `String`

### getControlAction

    public java.lang.String getControlAction()

  Gets the value of the controlAction property.

  Returns:
    possible object is `String`

### setControlAction

    public void setControlAction(java.lang.String value)

  Sets the value of the controlAction property.

  Parameters:
    `value` - allowed object is `String`

### getControlStatus

    public java.lang.String getControlStatus()

  Gets the value of the controlStatus property.

  Returns:
    possible object is `String`

### setControlStatus

    public void setControlStatus(java.lang.String value)

  Sets the value of the controlStatus property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public int getType()

  Gets the value of the type property.

### setType

    public void setType(int value)

  Sets the value of the type property.

### isRequired

    public boolean isRequired()

  Gets the value of the required property.

### setRequired

    public void setRequired(boolean value)

  Sets the value of the required property.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.